<div *ngIf="(slides | async).length > 0">
  <div
    class="uk-position-relative uk-visible-toggle uk-light"
    tabindex="-1"
    uk-slideshow="min-height: 300; max-height: 450"
  >
    <ul class="uk-slideshow-items">
      <li *ngFor="let slide of (slides | async); let i = index">
        <img
          [src]="slide.image"
          [alt]="slide.title"
          [title]="slide.title"
          uk-cover
        />
        <div
          *ngIf="
            (slide.title && slide.title !== '') ||
            (slide.subtitle && slide.subtitle !== '')
          "
          class="uk-overlay uk-overlay-primary uk-position-bottom"
        >
          <p>
            <a [href]="slide.redirect" target="_blank">
              {{ slide.title }}
              <br />
              <span class="uk-text-meta">{{ slide.subtitle }}</span>
            </a>
          </p>
        </div>
      </li>
    </ul>

    <a
      class="uk-position-center-left uk-position-small uk-hidden-hover"
      href="#"
      uk-slidenav-previous
      uk-slideshow-item="previous"
    ></a>
    <a
      class="uk-position-center-right uk-position-small uk-hidden-hover"
      href="#"
      uk-slidenav-next
      uk-slideshow-item="next"
    ></a>
  </div>
</div>
